BST ARTIFACT CHECKOUT(1)

NAME
bst-artifact-checkout - Checkout contents of an artifact

SYNOPSIS
bst artifact checkout [OPTIONS] [TARGET]

DESCRIPTION
Checkout contents of an artifact

    When this command is executed from a workspace directory, the default
    is to checkout the artifact of the workspace element.

OPTIONS

-f, --force
    Allow files to be overwritten

-d, --deps [run|build|none|all]
    The dependencies to checkout [default: run]

--integrate / --no-integrate
    Whether to run integration commands

--hardlinks
    Checkout hardlinks instead of copying if possible

--tar LOCATION
    Create a tarball from the artifact contents instead of a file tree. If LOCATION is '-', the tarball will be dumped to the standard output.

--compression [gz|xz|bz2]
    The compression option of the tarball created.

--directory DIRECTORY
    The directory to checkout the artifact to

--artifact-remote REMOTE
    A remote for downloading artifacts

--ignore-project-artifact-remotes
    Ignore remote artifact cache servers recommended by projects